freemarker.core

## Class TemplateValueFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - freemarker.core.TemplateValueFormatException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  InvalidFormatStringException, ParsingNotSupportedException, UnformattableValueException, UnparsableValueException

    public abstract class TemplateValueFormatException
    extends Exception

Error while getting, creating or applying `TemplateValueFormat`-s (including its subclasses, like `TemplateNumberFormat`).

Since:
  2.3.24
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TemplateValueFormatException(String message)`
`TemplateValueFormatException(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TemplateValueFormatException

    public TemplateValueFormatException(String message,
                                        Throwable cause)

#### TemplateValueFormatException

    public TemplateValueFormatException(String message)